<template>
  <div id="mainRow" class="row">
    <!-- Header Decorations -->
    <div id="headingDecoration">
      <svg id="circle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
        <circle cx="8" cy="8" r="8"/>
      </svg>
      <svg id="circle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
        <circle cx="8" cy="8" r="8"/>
      </svg>
      <svg id="circle3" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
      </svg>
    </div>
    <div id="subHeadingDecoration">
      <svg id="subCircle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
        <circle cx="8" cy="8" r="8"/>
      </svg>
      <svg id="subCircle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
        <circle cx="8" cy="8" r="8"/>
      </svg>
    </div>
    <!-- Header Text -->
    <div id="mainHeadingDiv">
      <figure class="text-end">
        <h1 id="mainHeader">{{ main_text }}</h1>
        <small id="mainSubtext">{{ sub_text }}</small>
      </figure>
    </div>
  </div>
</template>

<script>
export default {
  name: "MainHeader",
  props: {
    main_text: {
      type: String,
      required: true
    },
    sub_text: {
      type: String
    }
  }
}
</script>

<style scoped>
#mainRow {
  z-index: -5;
  background: #9b7272;
}

#mainHeadingDiv {
  float: right;
  text-align: right;
  z-index: 9;
  background-color: transparent;
  max-width: 42rem;
  margin: 2rem 1rem 2rem auto;
}

#mainHeader {
  color: #efe4d7;
  text-align: right;
  font-family: Georgia, serif;
  font-size: 7rem;
  font-weight: bold;
}

#mainSubtext {
  color: #f3f2f1;
  font-size: 1.5rem;
}

#headingDecoration {
  z-index: 3;
  float: left;
  width: max-content;
  overflow: hidden;
}

#circle1 {
  z-index: 8;
  position: absolute;
  color: #4787a5;
  width: 21rem;
  height: 21rem;
  margin: 2rem 0 0 33rem;
}

#circle2 {
  z-index: 7;
  position: absolute;
  color: #9f4a4a;
  width: 15rem;
  height: 15rem;
  margin: 13rem 0 0 18rem;
}

#circle3 {
  z-index: 6;
  position: absolute;
  color: #d2c0b2;
  width: 12rem;
  height: 12rem;
  margin: 11rem 0 0 10rem;
}

#subHeadingDecoration {
  position: absolute;
  z-index: 1;
  float: left;
  background-color: transparent;
  width: max-content;
}

#subCircle1 {
  position: absolute;
  z-index: 2;
  color: #d6bc7a;
  width: 10rem;
  height: 10rem;
  margin: 8rem 0 0 24rem;
}

#subCircle2 {
  position: absolute;
  z-index: 3;
  color: #eab42d;
  width: 5rem;
  height: 5rem;
  margin: 9rem 0 0 15rem;
}

@media (max-width: 900px) {
  /* MAIN HEADER */
  #circle1 {
    margin-left: 21rem;
    width: 15rem;
    height: 15rem;
  }

  #circle2 {
    width: 9rem;
    height: 9rem;
    margin-left: 8rem;
  }

  #circle3 {
    width: 8rem;
    height: 8rem;
    margin-top: 12rem;
    margin-left: 3rem;
  }

  #subCircle1 {
    width: 7rem;
    height: 7rem;
    margin-top: 13rem;
    margin-left: 19rem;
  }

  #subCircle2 {
    margin-top: 9rem;
    margin-left: 3rem;
  }

  #mainHeadingDiv {
    width: 33rem;
    margin-right: 1rem;
  }

  #mainHeader {
    font-family: Georgia, serif;
    font-size: 5rem;
    font-weight: bold;
  }

  #mainSubtext {
    color: #f3f2f1;
    font-size: 1rem;
  }


  @media (max-width: 600px) {
    /* MAIN HEADER */
    #headingDecoration {
      overflow: hidden;
    }

    #circle1 {
      margin-left: 10rem;
      width: 10rem;
      height: 10rem;
    }

    #circle2 {
      margin-left: 3rem;
      margin-top: 8rem;
      width: 7rem;
      height: 7rem;
    }

    #circle3 {
      margin-top: 5rem;
      margin-left: 0;
      width: 6rem;
      height: 6rem;
    }

    #subCircle1 {
      margin-left: 2rem;
      margin-top: 2rem;
      width: 5rem;
      height: 5rem;
    }

    #subCircle2 {
      margin-left: 20rem;
      height: 2rem;
      width: 2rem;
    }

    #mainHeadingDiv {
      width: 20rem;
    }

    #mainHeader {
      font-family: Georgia, serif;
      font-size: 3rem;
      font-weight: bold;
    }

    #mainSubtext {
      color: #f3f2f1;
      font-size: 1rem;
    }
  }
}
</style>